﻿@using System.Globalization
@model List<GetReceiptReport_Result>
@{
    string orderColumn = ViewBag.OrderColumn,
        orderDirection = ViewBag.OrderDirection,
        memberId = ViewBag.MemberId,
        tglAwal = ViewBag.TglAwal,
        tglAkhir = ViewBag.TglAkhir;

    int currentPage = ViewBag.CurrentPage,
        totalPage = ViewBag.TotalPage,
        paginationShowRange = 5,
        totalRow = ViewBag.TotalRow;
}

<div class="widget-header">
    <h4><i class="icon-reorder"></i>All Receipt</h4>
</div>
<div class="right-title">
    <form name="gridForm">
        <input type="hidden" id="rawDataUrl" name="rawDataUrl" value="@GenerateUrl("", "", "", orderColumn, orderColumn, orderDirection, 0)" />
    </form>
</div>
<div id="grid-wrapper" class="widget-content">
    <table class="table table-striped grid-table">
        <thead>
            <tr>
                @*<th class="grid-header" title="Type"><div class="grid-header-title"><a data-url="@GenerateUrl(search, "Type", orderColumn, orderDirection, 0)">Type</a></div></th>*@
                <th class="grid-header" title="Username">
                    <div class="grid-header-title">
                        <a data-url="@GenerateUrl(memberId, tglAwal, tglAkhir, "UpdatedByID", orderColumn, orderDirection, 0)">Username</a>
                    </div>
                </th>
                <th class="grid-header" title="Accept">
                    <div class="grid-header-title">
                        <a data-url="@GenerateUrl(memberId, tglAwal, tglAkhir, "accept", orderColumn, orderDirection, 0)">Accept</a>
                    </div>
                </th>
                <th class="grid-header" title="Reject">
                    <div class="grid-header-title">
                        <a data-url="@GenerateUrl(memberId, tglAwal, tglAkhir, "reject", orderColumn, orderDirection, 0)">Reject</a>
                    </div>
                </th>
            </tr>
        </thead>
        <tbody>
            @foreach (GetReceiptReport_Result receipt in Model)
            {
                <tr class="grid-row ">
                    @*<td class="grid-cell" data-name="Type">@member.Type</td>*@
                    <td class="grid-cell" data-name="MemberName">@receipt.Username</td>
                    <td class="grid-cell" data-name="MemberPhone">@receipt.accept</td>
                    <td class="grid-cell" data-name="MemberEmail">@receipt.reject</td>
                </tr>
            }
        </tbody>
    </table>
    @if (totalPage > 1)
    {
        int startPage = currentPage - paginationShowRange > 1 ? currentPage - paginationShowRange : 1,
            endPage = currentPage + paginationShowRange < totalPage ? currentPage + paginationShowRange : totalPage;

        <div class="grid-footer">

            <div class="grid-pager">
                <ul class="pagination">
                    <li>
                        <a data-url="@GenerateUrl(memberId, tglAwal, tglAkhir, orderColumn, orderColumn, orderDirection, currentPage <= 1 ? currentPage : currentPage - 1, true)" class="grid-prev-page" title="Previous Page" style="">
                            <span class="glyphicon glyphicon-step-backward"></span>
                        </a>
                    </li>
                    @for (var _page = startPage; _page <= endPage; _page++)
                    {
                        @*<li><a href="#" class="grid-pageSetLink prev" style="display: none;" data-pageset="1" data-partitionsize="5">...</a></li>*@
                        <li class="@(currentPage == _page ? "active": "")">
                            <a data-url="@GenerateUrl(memberId, tglAwal, tglAkhir, orderColumn, orderColumn, orderDirection, _page, true)" class="grid-page-link">
                                @_page
                            </a>
                        </li>
                    }
                    @if (totalPage >= 7)
                    {
                        <li>
                            <a class="grid-page-link">
                                Total Page @totalPage
                            </a>
                        </li>
                    }
                    <li>
                        <a data-url="@GenerateUrl(memberId, tglAwal, tglAkhir, orderColumn, orderColumn, orderDirection, currentPage >= endPage ? endPage : currentPage + 1, true)" title="Next Page" class="grid-next-page">
                            <span class="glyphicon glyphicon-step-forward"></span>
                        </a>
                    </li>
                </ul>
            </div>
            <div>
                Total Row : @totalRow
            </div>
        </div>
    }
</div>

@functions {
    public string GetOrderDirectionByColumn(string currentCol, string currentDirection, string targetColumn, bool isPaging)
    {
        if (isPaging) return currentDirection;

        if (currentCol.ToLower() == targetColumn.ToLower())
        {
            if (currentDirection.ToLower() == "asc") return "Desc";
            else return "Asc";
        }
        return currentDirection;
    }

    public string GenerateUrl(string memberIDHidden, string hiddenAwal, string hiddenAkhir, string targetColumn, string orderColumn, string orderDirection, int? page, bool isPaging = false)
    {
        return Url.Action(MVC.ReceiptApprovalReporting.GridGetAllReceiptPager(page, memberIDHidden, hiddenAwal, hiddenAkhir, targetColumn, GetOrderDirectionByColumn(orderColumn, orderDirection, targetColumn, isPaging)));
    }
}